### Method

# Adw Sidebar insert

since: 1.9

#### Declaration [src]

    void
    adw_sidebar_insert (
      AdwSidebar* self,
      AdwSidebarSection* section,
      int position
    )

#### Description [src]

Inserts `section` at `position` to `self`.

If `position` is -1, or larger than the total number of sections in `self`, the section will be appended to the end.

Available since: 1.9

#### Parameters

`section`

  Type: `AdwSidebarSection`

  A section to insert.

  The instance takes ownership of the data, and is responsible for freeing it.

`position`

  Type: `int`

  Position to insert `section` at.